Start Thread
curl --request POST \
--url https://analyst.heyhumm.ai/threads/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"organization_id": "<string>",
"query": "",
"thread_id": "<string>",
"llm_config": {
"model": "<string>",
"fallback_models": [
"<string>"
],
"provider": {},
"backend_streaming": true
},
"user_timezone": "<string>",
"images": [
{
"data_url": "<string>",
"detail": "auto"
}
],
"file_uploads": [
{
"cache_key": "<string>",
"filename": "<string>",
"columns": [
{
"name": "<string>",
"dtype": "<string>"
}
],
"row_count": 123,
"sheet_name": "<string>",
"preview_rows": [
{}
]
}
],
"idempotency_key": "<string>"
}
'import requests
url = "https://analyst.heyhumm.ai/threads/async"
payload = {
"organization_id": "<string>",
"query": "",
"thread_id": "<string>",
"llm_config": {
"model": "<string>",
"fallback_models": ["<string>"],
"provider": {},
"backend_streaming": True
},
"user_timezone": "<string>",
"images": [
{
"data_url": "<string>",
"detail": "auto"
}
],
"file_uploads": [
{
"cache_key": "<string>",
"filename": "<string>",
"columns": [
{
"name": "<string>",
"dtype": "<string>"
}
],
"row_count": 123,
"sheet_name": "<string>",
"preview_rows": [{}]
}
],
"idempotency_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
organization_id: '<string>',
query: '',
thread_id: '<string>',
llm_config: {
model: '<string>',
fallback_models: ['<string>'],
provider: {},
backend_streaming: true
},
user_timezone: '<string>',
images: [{data_url: '<string>', detail: 'auto'}],
file_uploads: [
{
cache_key: '<string>',
filename: '<string>',
columns: [{name: '<string>', dtype: '<string>'}],
row_count: 123,
sheet_name: '<string>',
preview_rows: [{}]
}
],
idempotency_key: '<string>'
})
};
fetch('https://analyst.heyhumm.ai/threads/async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Start Thread
Starts an AI analysis in the background and returns immediately with thread metadata. This endpoint enables polling-based UI updates by starting agent execution in the background and returning thread information immediately.
Supports model configuration via the llm_config parameter (defaults to “deep” if not provided).
POST
/
threads
/
async
Start Thread
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Override user ID for system operations (optional)
Body
application/json
Request model for async chat endpoint.
Configuration for model selection and reasoning effort.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
monolith, sandbox, deepagents Available options:
typed, suggestion Response
Successful Response
⌘I